catalog:
  title: Incremental HRI Dialog

templates:
- bitbucket
- freestyle
- base

variables:
  keywords:
  - java

  bitbucket.user: julianhough
  bitbucket.project: inchridialogue

  branches:
  - master

  extra-requires:
  - nature: meta
    target: inprotk-agni
  platform-requires:
    ubuntu:
      packages:
      - '@{next-value|[]}'
      - gradle

  shell.command: |
    gradle build
    cp build/libs/hri*.jar ${toolkit.dir}/share/repository
